Subject: Re: [dns-privacy] UDP/853 port allocation request for draft-ietf-dprive-dnsoquic

From: Alexander Mayrhofer <[email-masked]>
Date: Wed, 1 Dec 2021 15:56:56 +0100

Hello Eric,

thanks for the heads up - couple of points inline:

On Mon, Nov 29, 2021 at 3:04 PM Eric Vyncke (evyncke)
<evyncke=[email-masked]> wrote:
>
> Just a heads-up to the DPRIVE WG and for the DoQ authors[1]: after some discussions within IESG/IAB, I am afraid that UDP/853 won't be allocated to DoQ. Nothing definitive yet of course but IAB/IESG have raised the following concerns:
>
>
>
> Lack of real technical motivation (except for 'symmetry' or for operational reasons).

While this might be true - if encrypted DNS proves to be as successful
as unencrypted DNS (and i have no reason to believe it won't) millions
of people will have to remember, memorize, and immediately recognize a
certain port as "Oh, encrypted DNS", like everybody does today for
port 53. Therefore, i would strongly suggest to also consider that
"non-technical" aspect.

> Moving DoDTLS to historic will not help, as it will simply return udp/853 to the pool to be re-used later.
>
> The *currently* possible demux between QUIC & DTLS is not something carved in stone forever. Hence, a future problem can happen if DTLS v23 cannot be demuxed from QUIC v19. This would put a heavy constraint on the evolution of both QUIC & DTLS, i.e., ossifying both protocols. Not to mention that both QUIC & DTLS want to expose as little as possible to observers, making demux of future versions quite improbable...
>

If the protocol is declared historic (and there are zero
implementations outside of labs), does the *potential* future demux
problem really matter? If DoDTLS gets a second life, wouldn't it be an
option to request a different port for DoDTLSv2 then?

>
> Personally, I do not think that it is critical to re-use udp/853 but happy to work with the authors and the WG to attempt to re-use it.
>

I think it's not "critical" in the sense that DoQ won't work on a
different port, but generations of network admins would look back to
that thread and ask themselves "why the heck...". I really really
like the symmetry that was established with port 53, and i would very
much like that symmetry to be continued for 853, even if there's no
hard technical reason.

best,
Alex